Subject: Re: [oauth-ext-review] Request for OAuth parameters: claim_token, pct, rpt, ticket (token endpoint request); pct, upgraded (token endpoint response)

From: Eve Maler <[email-masked]>
Date: Tue, 16 Jan 2018 17:54:22 -0800

Hello-- Since we first sent this request, the specification has been
published in its final form. Please consider this message a slightly
updated request. None of the technical particulars have been changed, but
the specification link has changed
<https://docs.kantarainitiative.org/uma/wg/rec-oauth-uma-grant-2.0.html>
and the IANA request now appears in Section 7.4
<https://docs.kantarainitiative.org/uma/wg/rec-oauth-uma-grant-2.0.html#rfc.section.7.4>
instead of Section 7.3.

Finally, for registry listing purposes, here are shorter/more convenient
entry references we recommend:

   - Change controller short reference: "Kantara UMA WG"
   - Specification short reference: "UMA 2.0 Grant for OAuth 2.0, Section
   3.3.*n*"

Thank you. We look forward to your response.

*Eve Maler*ForgeRock Office of the CTO | VP Innovation & Emerging Technology
Cell +1 425.345.6756 | Skype: xmlgrrl | Twitter: @xmlgrrl

On Wed, Jul 5, 2017 at 9:46 PM, Eve Maler <[email-masked]> wrote:

> Hello again,
>
> I'm just checking in again on this request since it has been more than two
> weeks since we originally sent it in. Thank you.
>
>
> *Eve Maler*ForgeRock Office of the CTO | VP Innovation & Emerging
> Technology
> Cell +1 425.345.6756 <(425)%20345-6756> | Skype: xmlgrrl | Twitter:
> @xmlgrrl
>
> On Fri, Jun 16, 2017 at 5:40 PM, Eve Maler <[email-masked]>
> wrote:
>
>> As required by RFC 6749 Section 11.2, the authors of the specification User-Managed
>> Access (UMA) 2.0 Grant for OAuth 2.0 Authorization
>> <https://docs.kantarainitiative.org/uma/wg/oauth-uma-grant-2.0-05.html>
>> are requesting the following parameters:
>>
>>    - Token endpoint request parameters (definitions appear in Section
>>    3.3.1
>>    <https://docs.kantarainitiative.org/uma/wg/oauth-uma-grant-2.0-05.html#uma-grant-type>
>>    ):
>>       - claim_token
>>       - pct
>>       - rpt
>>       - ticket
>>    - Token endpoint response parameters (definitions appear in Section
>>    3.3.5
>>    <https://docs.kantarainitiative.org/uma/wg/oauth-uma-grant-2.0-05.html#give-rpt>
>>    ):
>>       - pct
>>       - upgraded
>>
>> The IANA request appears in Section 7.3
>> <https://docs.kantarainitiative.org/uma/wg/oauth-uma-grant-2.0-05.html#rfc.section.7.3>
>> .
>>
>> Thank you. We look forward to your response.
>>
>>
>> *Eve Maler*ForgeRock Office of the CTO | VP Innovation & Emerging
>> Technology
>> Cell +1 425.345.6756 <(425)%20345-6756> | Skype: xmlgrrl | Twitter:
>> @xmlgrrl
>>
>
>